# Uses of Interface
org.apache.wiki.api.core.Context

Packages that use Context
Package
Description
org.apache.wiki.api.core
JSPWiki's central API.
org.apache.wiki.api.engine
JSPWiki's Engine's component related classes.
org.apache.wiki.api.filters
Filter's API package of JSPWiki.
org.apache.wiki.api.plugin
Plugin's API package of JSPWiki.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of Context in org.apache.wiki.api.core

Methods in org.apache.wiki.api.core that return Context
Modifier and Type
Method
Description
`Context`
Context.`clone()`
`Context`
Context.`deepClone()`
Creates a deep clone of the Context.
`static Context`
Context.`findContext(jakarta.servlet.jsp.PageContext pageContext)`
This method can be used to find the WikiContext programmatically from a JSP PageContext.

## Uses of Context in org.apache.wiki.api.engine

Methods in org.apache.wiki.api.engine with parameters of type Context
Modifier and Type
Method
Description
`String`
RenderApi.`textToHTML(Context context, String pagedata)`
Converts raw page data to HTML.

## Uses of Context in org.apache.wiki.api.filters

Methods in org.apache.wiki.api.filters with parameters of type Context
Modifier and Type
Method
Description
`default void`
PageFilter.`postSave(Context context, String content)`
This method is called after the page has been successfully saved.
`default String`
PageFilter.`postTranslate(Context context, String htmlContent)`
This method is called after a page has been fed through the translation process, so anything you are seeing here is translated content.
`default String`
PageFilter.`preSave(Context context, String content)`
This method is called before the page has been saved to the PageProvider.
`default String`
PageFilter.`preTranslate(Context context, String content)`
This method is called whenever a page has been loaded from the provider, but not yet been sent through the markup-translation process.

## Uses of Context in org.apache.wiki.api.plugin

Methods in org.apache.wiki.api.plugin with parameters of type Context
Modifier and Type
Method
Description
`String`
Plugin.`execute(Context context, Map<String,String> params)`
This is the main entry point for any plugin.
`void`
PluginElement.`executeParse(Context context)`
Executes the executeParse() method.
`void`
ParserStagePlugin.`executeParser(PluginElement element, Context context, Map<String,String> params)`
Method which is executed during parsing.
`String`
PluginElement.`invoke(Context context)`
Performs plugin invocation and return its contents.

## Uses of Context in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi that return Context
Modifier and Type
Method
Description
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, String requestContext)`
Creates a new Context from a supplied HTTP request, using a default wiki context.
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Command command)`
Creates a new Context for the given Engine, Command and HttpServletRequest.
`Context`
ContextDSL.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Page page)`
Creates a new Context for the given Engine, Page and HttpServletRequest.
`Context`
ContextDSL.`create(Engine engine, Page page)`
Create a new Context for the given Page.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, String requestContext)`
Creates a new Context from a supplied HTTP request, using a default wiki context.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Command command)`
Creates a new Context for the given Engine, Command and HttpServletRequest.
`Context`
ContextSPI.`create(Engine engine, jakarta.servlet.http.HttpServletRequest request, Page page)`
Creates a new Context for the given Engine, Page and HttpServletRequest.
`Context`
ContextSPI.`create(Engine engine, Page page)`
Create a new Context for the given Page.